Subject: Re: bug#7127: 23.2; M-x help throws an error

From: Ken Brown <[email-masked]>
Date: Wed, 29 Sep 2010 13:00:03 -0400

On 9/29/2010 9:02 AM, Ken Brown wrote:
> On 9/29/2010 3:58 AM, Glenn Morris wrote:
>>
>> This may be Cygwin-specific?
>>
>> Aidan Kehoe wrote:
>>
>>> (symbol-function 'help-for-help-internal) (h-f-h-i being what help
>>> eventually resolves to) gives me a compiled function with a nil
>>> documentation slot; help.elc has (defalias 'help-for-help-internal
>>> ...) with a compiled function and what seems to be the correct lazy
>>> doc reference. The DOC file seems correct, with an entry
>>> Fhelp-for-help-internal Help command.
>>>
>>> But (documentation #'custom-declare-variable-early) and (documentation
>>> #'when) both give nil for me, and the same seems to be true for all the
>>> dumped compiled functions with docstrings. I don’t know why that is, and I
>>> don’t especially care to debug it right now, but this binary is what Cygwin
>>> installed, I’m certain I’m not the only one affected.
>>>
>>>    >   >   In GNU Emacs 23.2.1 (i686-pc-cygwin, GTK+ Version 2.18.6)
>>>    >   >    of 2010-05-08 on laptop
>
> I can reproduce the problem on my (Cygwin) system.  The bug occurs in
> Emacs 23.2 as well as a build from the current emacs-23 branch.  But the
> bug is gone in a build from the trunk.  I wonder if the patch in
> bug#6715 is what fixed it.  At a glance, I don't see anything else
> Cygwin-specific that might be relevant.  When I get a chance, I'll see
> if back-porting that patch to emacs-23 fixes the problem.

This turns out not to be so easy.  That patch is intertwined with a lot 
of changes to the build system that were made only in the trunk, so 
there's no way to quickly test whether that patch is relevant to the 
present bug.  Since the bug is gone in the trunk, I don't think it's 
worth putting a lot of effort into fixing it in the emacs-23 branch.

Ken